ChiliProject - Task # 32: Create an upgrade path from Redmine

Status: Open Priority: Normal
Author: Muntek Singh Category:

Created: 2010-12-29 Assignee:

Updated: 2011-02-01 Due date:

Remote issue URL:

Description: Create an upgrade path from Redmine

History

2010-12-29 04:55 pm - Eric Davis
- Target version deleted ()

Will need to address this soon after going public.

2010-12-30 09:17 am - Muntek Singh

| think Joomla's route of maintaining compatibility with the parent for the first few releases, but have a clear roadmap and version where compatibility
breaks and we no longer care about the parent is the best route to go. This gives plugin authors time to update plugins to "our" changes and give a
clear timeline of when we stop expending extra effort to main compatibility.

To me this means we should create and maintain an import script redmine->bluemine from the first release, then the day we break compatibility, the
import script is a one-way one-time affair. I'm not familiar enough with the code changes planned and already happening to know how viable this is, but
| think there should be a certain point where we prioritize adding our own cool features and fixes over maintaining strict compatibility.

Also, how is this affected by #31 ?

2011-01-12 02:29 pm - Eric Davis

- Tracker changed from Bug to Task

2011-01-13 03:36 pm - Eric Davis
- Subproject of deleted (#28)

2011-02-01 10:49 pm - Felix Schafer
- Status set to Open
